Skip to main content
GET
/
component
/
{componentId}
Retrieve a specific component by ID
curl --request GET \
  --url https://api.draftt.io/v1/component/{componentId} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.draftt.io/v1/component/{componentId}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.draftt.io/v1/component/{componentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "items": [
    {
      "id": 20,
      "integrationId": 6,
      "uniqueIdentifier": "arn:aws:rds:us-east-1:1234567:db:rds-dev-1",
      "region": "us-east-1",
      "technology": "rds",
      "type": "rds-postgres",
      "typeDisplayName": "Amazon RDS PostgreSQL",
      "version": "14.10",
      "tags": [
        {
          "key": "Terraform",
          "value": "true"
        },
        {
          "key": "Environment",
          "value": "dev-us-east-1"
        },
        {
          "key": "Name",
          "value": "rds-dev-1"
        }
      ],
      "details": {
        "database": {
          "lastActiveConnectionTime": "2024-09-09T14:36:11.531Z"
        }
      },
      "createdAt": "2024-05-06T11:25:50.750Z",
      "updatedAt": "2024-09-09T14:36:11.531Z"
    }
  ],
  "nextToken": null
}
{
"error": {
"message": "<string>"
}
}
{
"error": {
"message": "<string>"
}
}
{
"error": {
"message": "<string>"
}
}
{
"error": {
"message": "<string>"
}
}
{
"error": {
"message": "<string>"
}
}
{
"error": {
"message": "<string>"
}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

componentId
integer
required

Response

Success

items
object[]
required
Required array length: 1 element
nextToken
enum<string>
Available options:
null